## python-bashate 0.2.0

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
argparse
Babel>=0.9.6

=== debian/changelog ===
python-bashate (0.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Aug 2014 23:19:38 +0800

=== debian/control ===
Source: python-bashate
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 0.6),
               python3-setuptools
Build-Depends-Indep: python-babel (>= 0.9.6),
                     python-fixtures (>= 0.3.14),
                     python-mock (>= 1.0),
                     python-oslosphinx,
                     python-subunit,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.32),
                     python3-babel (>= 0.9.6),
                     python3-fixtures (>= 0.3.14),
                     python3-mock (>= 1.0),
                     python3-subunit,
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 0.9.32),
                     subunit,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-bashate.git
Vcs-Git: git://anonscm.debian.org/openstack/python-bashate.git
Homepage: https://github.com/openstack-dev/bashate

Package: python-bashate
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: bash script style guide checker - Python 2.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 2.x module and command line utility.

Package: python3-bashate
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: bash script style guide checker - Python 3.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 3.x module and command line utility.

Package: python-bashate-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: bash script style guide checker - doc
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack-dev/bashate.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-bashate; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-bashate; \
	done
	mv $(CURDIR)/debian/python-bashate/usr/bin/bashate $(CURDIR)/debian/python-bashate/usr/bin/python2-bashate
	mv $(CURDIR)/debian/python3-bashate/usr/bin/bashate $(CURDIR)/debian/python3-bashate/usr/bin/python3-bashate
	rm -rf $(CURDIR)/debian/python*-bashate/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-bashate-doc/usr/share/doc/python-bashate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-bashate 0.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
argparse
Babel>=0.9.6

=== debian/changelog ===
python-bashate (0.3.1-2) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:24:37 +0000

python-bashate (0.3.1-1) unstable; urgency=medium

  * New upstream release:
    - The package no-longer does file discover by itself (Closes: #776549).
  * Added dh-python as build-depends.
  * Switching to gz compression for the orig.tar.
  * Dropped version in most (build-)depends, since they are available in both
    Jessie and Trusty.
  * Fixed watch file to use github tag instead of pypi.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 15:40:19 +0000

=== debian/control ===
Source: python-bashate
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 0.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 0.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures,
                     python-hacking,
                     python-mock,
                     python-oslosphinx,
                     python-testscenarios,
                     python-testtools,
                     python3-babel,
                     python3-fixtures,
                     python3-mock,
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-bashate.git
Vcs-Git: git://anonscm.debian.org/openstack/python-bashate.git
Homepage: https://github.com/openstack-dev/bashate

Package: python-bashate
Architecture: all
Depends: python-babel,
         ${misc:Depends},
         ${python:Depends},
Description: bash script style guide checker - Python 2.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 2.x module and command line utility.

Package: python3-bashate
Architecture: all
Depends: python3-babel,
         ${misc:Depends},
         ${python3:Depends},
Description: bash script style guide checker - Python 3.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 3.x module and command line utility.

Package: python-bashate-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: bash script style guide checker - doc
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,13 @@
 	mv $(CURDIR)/debian/python3-bashate/usr/bin/bashate $(CURDIR)/debian/python3-bashate/usr/bin/python3-bashate
 	rm -rf $(CURDIR)/debian/python*-bashate/usr/lib/python*/dist-packages/*.pth
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests"
-	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
+	set -e ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## python-bashate 0.5.1

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,5 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=0.6,!=0.7,<1.0
-argparse
-Babel>=0.9.6
+pbr>=1.6
+Babel>=1.3

=== debian/changelog ===
python-bashate (0.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * Testsuite: autopkgtest-pkg-python
  * d/p/Dont_mock_sysv_args.patch: Fix unit tests with Python 3.6

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release (Closes: #844094).
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install}.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 4.1.1.

 -- Ondřej Nový <onovy@debian.org>  Sat, 18 Nov 2017 16:00:06 +0100

=== debian/control ===
Source: python-bashate
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-fixtures,
 python-hacking,
 python-mock,
 python-oslosphinx,
 python-reno,
 python-testscenarios,
 python-testtools,
 python3-babel,
 python3-fixtures,
 python3-mock,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-bashate.git
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-bashate.git
Homepage: https://github.com/openstack-dev/bashate
Testsuite: autopkgtest-pkg-python

Package: python-bashate
Architecture: all
Depends:
 python-babel,
 python-pbr,
 ${misc:Depends},
 ${python:Depends},
Description: bash script style guide checker - Python 2.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 2.x module and command line utility.

Package: python-bashate-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bash script style guide checker - doc
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the documentation.

Package: python3-bashate
Architecture: all
Depends:
 python3-babel,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: bash script style guide checker - Python 3.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 3.x module and command line utility.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/bashate.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-bashate-doc/usr/share/doc/python-bashate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-bashate 0.6.0

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,5 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.6
-Babel>=1.3
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
+Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
python-bashate (0.6.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Overrides override_dh_auto_install, not override_dh_install, which fixes
    FTBFS (Closes: #950036).

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jan 2020 15:40:51 +0100

python-bashate (0.6.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 20:18:31 +0200

python-bashate (0.6.0-2) experimental; urgency=medium

  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 10:14:01 +0100

python-bashate (0.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ David Rabel ]
  * New upstream version.
  * d/patches: Remove patch. Has been merged upstream.

  [ Thomas Goirand ]
  * Fixed (build-)depends for this release.
  * Use python3 to build the sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Sep 2018 15:39:55 +0200

=== debian/control ===
Source: python-bashate
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-openstackdocstheme,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-mock,
 python3-reno,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-bashate
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-bashate.git
Homepage: https://github.com/openstack-dev/bashate
Testsuite: autopkgtest-pkg-python

Package: python-bashate-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bash script style guide checker - doc
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the documentation.

Package: python3-bashate
Architecture: all
Depends:
 python3-babel,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: bash script style guide checker - Python 3.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 3.x module and command line utility.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/bashate.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-bashate-doc/usr/share/doc/python-bashate-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-bashate 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,4 +3,3 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
python-bashate (2.1.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090465).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:46:34 +0100

python-bashate (2.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045759).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 16:51:15 +0200

python-bashate (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:50:20 +0100

python-bashate (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 14:37:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .testrepository
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack-dev/bashate/tags .*/(\d[\d\.]+)\.tar\.gz
